#!/bin/bash
dbs=`curl http://192.168.4.3:10088/config_server/get_db_config/all/name`
for db in $dbs
do
	sql_command=`curl http://192.168.4.3:10088/config_server/get_db_dump_command/${db}`
	echo "mysqldump $sql_command > /tmp/${db}.sql"
	mysqldump $sql_command > /tmp/${db}.sql
	mysql -h 192.168.6.2 -P 3306 -uqa -pqatest db < /tmp/${db}.sql
done